Name:          libtwolame
Version:       0.4.0
Release:       1mamba
Summary:       An optimised MPEG Audio Layer 2 encoding library based on tooLAME
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.twolame.org/
Source:        http://downloads.sourceforge.net/sourceforge/twolame/twolame-%{version}.tar.gz
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libflac-devel
BuildRequires: libogg-devel
BuildRequires: libsndfile-devel
BuildRequires: libvorbis-devel
## AUTOBUILDREQ-END
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
TwoLAME is an optimised MPEG Audio Layer 2 (MP2) encoder based on tooLAME by Mike Cheng, which in turn is based upon the ISO dist10 code and portions of LAME.

Features added to TwoLAME:

* Fully thread-safe
* Static and shared library (libtwolame)
* API very similar to LAME's (for easy porting)
* Frontend supports wider range of input files (using libsndfile)
* automake/libtool/pkgconfig based build system
* Written in Standard C (ISO C99 compliant)

%package devel
Group:         Development/Libraries
Summary:       Static libraries and headers for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
TwoLAME is an optimised MPEG Audio Layer 2 (MP2) encoder based on tooLAME by Mike Cheng, which in turn is based upon the ISO dist10 code and portions of LAME.

This package contains static libraries and header files need for development.

%package apidocs
Group:         Documentation
Summary:       API documentation for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description apidocs
TwoLAME is an optimised MPEG Audio Layer 2 (MP2) encoder based on tooLAME by Mike Cheng, which in turn is based upon the ISO dist10 code and portions of LAME.

This package contains API documentation for %{name}.

%prep
%setup -q -n twolame-%{version}

%build
%configure
sed -i.rpath 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i.rpath 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/twolame
%{_libdir}/libtwolame.so.*
%{_mandir}/man1/twolame.1*
%doc AUTHORS COPYING

%files devel
%defattr(-,root,root)
%{_includedir}/*.h
%{_libdir}/libtwolame.a
%{_libdir}/libtwolame.la
%{_libdir}/libtwolame.so
%{_libdir}/pkgconfig/*.pc
%doc ChangeLog README

%files apidocs
%defattr(-,root,root)
%dir %{_docdir}/twolame
%{_docdir}/twolame/*.txt
%{_datadir}/doc/twolame/AUTHORS
%{_datadir}/doc/twolame/COPYING
%{_datadir}/doc/twolame/NEWS
%{_datadir}/doc/twolame/README
#%dir %{_docdir}/twolame/html
#%{_docdir}/twolame/html/*.html
#%{_docdir}/twolame/html/*.css
#%{_docdir}/twolame/html/*.png

%changelog
* Sun Oct 27 2019 Automatic Build System <autodist@mambasoft.it> 0.4.0-1mamba
- automatic version update by autodist

* Sun Aug 18 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 0.3.13-2mamba
- don't provide %dir %_includedir

* Wed Jan 26 2011 Automatic Build System <autodist@mambasoft.it> 0.3.13-1mamba
- automatic update by autodist

* Tue Nov 18 2008 gil <puntogil@libero.it> 0.3.12-1mamba
- package created by autospec
